LibreOffice: XDatabaseParameterBroadcaster Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDatabaseParameterBroadcaster Interface Referencepublished

provides the possibility of receiving an event for configuration of parameters. More...

`import "XDatabaseParameterBroadcaster.idl";`

Inheritance diagram for XDatabaseParameterBroadcaster:

## Public Member Functions
void | addParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| adds the specified listener, to allow it to fill in necessary parameter values.
void | removeParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the possibility of receiving an event for configuration of parameters.

This interface is usually implemented by components which are to execute a statement, and may need parameter information. For example, the com::sun::star::form::component::DataForm is such a component. When it is bound to a statement which contains parameters, or to a query which is based upon a parametrized statement, it needs values to fill in the parameters with actual values when it is being loaded. One method to gather these values is calling the XDatabaseParameterListener listeners, which can fill them in.

Developers Guide
  Forms - Parameters

## Member Function Documentation

## ◆ addParameterListener()

void addParameterListener | ( | [in] com::sun::star::form::XDatabaseParameterListener | aListener | ) |

adds the specified listener, to allow it to fill in necessary parameter values.

Parameters

  aListener | the listener to add.

See also
  com::sun::star::form::XDatabaseParameterListener

## ◆ removeParameterListener()

void removeParameterListener | ( | [in] com::sun::star::form::XDatabaseParameterListener | aListener | ) |

removes the specified listener.

Parameters

  aListener | the listener to remove.

See also
  com::sun::star::form::XDatabaseParameterListener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XDatabaseParameterBroadcaster.idl